| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
MinimalEventLoopMgr::AbortEventListener Class Reference
Inheritance diagram for MinimalEventLoopMgr::AbortEventListener:
[legend]
Collaboration diagram for MinimalEventLoopMgr::AbortEventListener:
[legend]

## Public Member Functions
void | handle (const Incident &i) override
| Inform that a new incident has occurred. More...
Public Member Functions inherited from implements< IIncidentListener >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| implements ()=default
| Default constructor. More...
| implements (const implements &)
| Copy constructor (zero the reference count) More...
implements & | operator= (const implements &)
| Assignment operator (do not touch the reference count). More...
unsigned long | addRef () override
| Reference Interface instance. More...
unsigned long | release () override
| Release Interface instance. More...
unsigned long | refCount () const override
| Current reference count. More...

## Public Attributes
bool | abortEvent = false
| Flag signalling that the event being processed has to be aborted (skip all following top algs). More...
std::string | abortEventSource
| Source of the AbortEvent incident. More...

## Additional Inherited Members
Public Types inherited from implements< IIncidentListener >
using | base_class = implements< Interfaces... >
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
using | iids = typename extend_interfaces_base::ext_iids
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Attributes inherited from implements< IIncidentListener >
std::atomic_ulong | m_refCount
| Reference counter. More...

## Detailed Description

Definition at line 27 of file MinimalEventLoopMgr.h.

## Member Function Documentation

## ◆ handle()

void MinimalEventLoopMgr::AbortEventListener::handle | ( | const Incident & | i | ) |
| inline override

Inform that a new incident has occurred.

Definition at line 30 of file MinimalEventLoopMgr.h.

30 {
31 if ( i.type() == IncidentType::AbortEvent ) {
32 abortEvent = true;
33 abortEventSource = i.source();
34 }
35 }
MinimalEventLoopMgr::AbortEventListener::abortEvent
bool abortEvent
Flag signalling that the event being processed has to be aborted (skip all following top algs).
Definition: MinimalEventLoopMgr.h:40
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:38
MinimalEventLoopMgr::AbortEventListener::abortEventSource
std::string abortEventSource
Source of the AbortEvent incident.
Definition: MinimalEventLoopMgr.h:42
Incident::source
const std::string & source() const
Access to the source of the incident.
Definition: Incident.h:44

## Member Data Documentation

## ◆ abortEvent

bool MinimalEventLoopMgr::AbortEventListener::abortEvent = false

Flag signalling that the event being processed has to be aborted (skip all following top algs).

Definition at line 40 of file MinimalEventLoopMgr.h.

## ◆ abortEventSource

std::string MinimalEventLoopMgr::AbortEventListener::abortEventSource

Source of the AbortEvent incident.

Definition at line 42 of file MinimalEventLoopMgr.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/MinimalEventLoopMgr.h